Package org.eclipse.net4j.util.om

## Interface OMBundle

-     public interface OMBundle

  Represents a `bundle`, whether OSGi `is running` or not.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `OMBundle.DebugSupport` | A facility for accessing OSGi `debug options`, whether OSGi `is running` or not.
    `static interface` | `OMBundle.TranslationSupport` | A facility for accessing `resource bundles`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `coreException​(java.lang.Throwable t)` |
    `java.net.URL` | `getBaseURL()` |
    `java.lang.String` | `getBundleID()` |
    `java.util.Iterator<java.lang.Class<?>>` | `getClasses()` |
    `java.io.File` | `getConfigFile()` |
    `java.util.Properties` | `getConfigProperties()` |
    `OMBundle.DebugSupport` | `getDebugSupport()` |
    `java.io.InputStream` | `getInputStream​(java.lang.String path)` |
    `OMPlatform` | `getPlatform()` |
    `java.lang.String` | `getStateLocation()` |
    `IStatus` | `getStatus​(java.lang.Object obj)` |
    `OMBundle.TranslationSupport` | `getTranslationSupport()` |
    `OMLogger` | `logger()` |
    `OMPreferences` | `preferences()` |
    `void` | `setBundleContext​(java.lang.Object bundleContext)` | Deprecated. For internal use only.
    `OMTracer` | `tracer​(java.lang.String name)` |

- - ### Method Detail

    - #### getPlatform

          OMPlatform getPlatform()

    - #### getBundleID

          java.lang.String getBundleID()

    - #### getBaseURL

          java.net.URL getBaseURL()

    - #### getClasses

          java.util.Iterator<java.lang.Class<?>> getClasses()

      Since:
        3.2

    - #### tracer

          OMTracer tracer​(java.lang.String name)

    - #### logger

          OMLogger logger()

    - #### preferences

          OMPreferences preferences()

    - #### getStatus

          IStatus getStatus​(java.lang.Object obj)

      Since:
        3.5

    - #### coreException

          void coreException​(java.lang.Throwable t)
                      throws CoreException

      Throws:
        `CoreException`
      Since:
        3.5

    - #### getConfigFile

          java.io.File getConfigFile()

    - #### getConfigProperties

          java.util.Properties getConfigProperties()

    - #### getStateLocation

          java.lang.String getStateLocation()

    - #### getInputStream

          java.io.InputStream getInputStream​(java.lang.String path)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getDebugSupport

          OMBundle.DebugSupport getDebugSupport()

    - #### getTranslationSupport

          OMBundle.TranslationSupport getTranslationSupport()

    - #### setBundleContext

          @Deprecated
          void setBundleContext​(java.lang.Object bundleContext)

      Deprecated.
      For internal use only.